# Enum SchlegelCalculator.ResultType

java.lang.Object
java.lang.Enum<SchlegelCalculator.ResultType>
uk.ac.starlink.ttools.calc.SchlegelCalculator.ResultType

All Implemented Interfaces:
  `Serializable, Comparable<SchlegelCalculator.ResultType>, java.lang.constant.Constable`

Enclosing class:
  `SchlegelCalculator`

public static enum SchlegelCalculator.ResultType extends Enum<SchlegelCalculator.ResultType>
Enumerates physical values available from the IPAC dust service.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMISSION`
100 micron emission.
`REDDENING`
E(B-V) reddening.
`TEMPERATURE`
Dust temperature.

## Method Summary

Modifier and Type
Method
Description
`static SchlegelCalculator.ResultType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SchlegelCalculator.ResultType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REDDENING

public static final SchlegelCalculator.ResultType REDDENING
E(B-V) reddening.

### EMISSION

public static final SchlegelCalculator.ResultType EMISSION
100 micron emission.

### TEMPERATURE

public static final SchlegelCalculator.ResultType TEMPERATURE
Dust temperature.

## Method Details

### values

public static SchlegelCalculator.ResultType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SchlegelCalculator.ResultType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null